-- 修改实物、财务的编码字段长度，财务卡片的资产编码字段已经是100了，不再调整
EXEC p_AlterColumn 'T_FA_CARD_FIN', 'FBILLNO', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_FA_CARD_REAL', 'FBILLNO', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_FA_CARD_REAL', 'FNUMBER', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

-- 变更单字段变更分录
EXEC p_AlterColumn 'T_FA_CHANGEFIELDENTRY', 'FASSETNUMBER', 'VARCHAR(80)', 'NOT NULL', '0100', ''' ''';

-- 盘点记录
EXEC p_AlterColumn 'T_FA_INVENTORY_RECORD', 'FNUMBER', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

-- 盘点差异分录
EXEC p_AlterColumn 'T_FA_INVDIFFERERENTRY', 'FNUMBER', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

-- 拆分单拆分后卡片分录
EXEC p_AlterColumn 'T_FA_ASSETSPLITENTRY_D', 'FCARDBILLNO', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_FA_ASSETSPLITENTRY_D', 'FCARDNUMBER', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

-- 分摊设置
EXEC p_AlterColumn 'T_FA_DEPRESPLITSETUP', 'FNUMBER', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';